Bug 734847 - 3.1 - [vdsm] [init-script] vdsmd always restarts libvirtd upon start-up.
Summary: 3.1 - [vdsm] [init-script] vdsmd always restarts libvirtd upon start-up.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm
Version: 6.1
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Yaniv Bronhaim
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 15:43 UTC by David Naori
Modified: 2012-12-04 18:50 UTC (History)
11 users (show)

Fixed In Version: vdsm-4.9.6-32.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-04 18:50:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1508 normal SHIPPED_LIVE Important: rhev-3.1.0 vdsm security, bug fix, and enhancement update 2012-12-04 23:48:05 UTC

Description David Naori 2011-08-31 15:43:02 UTC
Description of problem:
libvirtd is configured as "conflicting service" in vdsmd init-script.

that way vdsmd stops libvirtd process if its running via sysVinit script, and then run in with the upstart project, to do so, it checks with `service libvirtd status`.

The problem is `service libvirtd status` response true also if it runs via the upstart job.

that way vdsmd *always* restarts libvirtd upon startup.

instead vdsmd should also check if 
           ! /sbin/initctl stauts libvirtd 2> /dev/null
and only then stop it.

Version-Release number of selected component (if applicable):
vdsm-4.9-96.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 David Naori 2011-08-31 16:47:18 UTC
 shutdown_conflicting_srv() {
     local srv 

     for srv in $CONFLICTING_SERVICES
     do
         /sbin/chkconfig $srv off
         if /sbin/service $srv status > /dev/null 2>&1;
         then
             if [ "$srv" == "libvirt-guests" ]; then
                 /bin/rm -f /var/lock/subsys/libvirt-guests

+            elif [ "$srv" == "libvirtd" ] &
+            ! /sbin/initctl stauts $srv 2> /dev/null; then
+                continue
             else
                 /sbin/service $srv stop
             fi
         fi
     done
     return 0
 }

Comment 6 RHEL Product and Program Management 2012-05-04 04:09:44 UTC
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 8 Yaniv Bronhaim 2012-08-22 06:31:33 UTC
suggest patch: http://gerrit.ovirt.org/#/c/7331/

Comment 12 Pavel Stehlik 2012-09-24 20:15:06 UTC
ok - vdsm-4.9.6-34.0.el6_3.x86_64

Comment 15 errata-xmlrpc 2012-12-04 18:50:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html


Note You need to log in before you can comment on or make changes to this bug.